<?php
/**
 * @file
 * ganttview_example.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function ganttview_example_views_default_views() {
  $export = array();

  $view = new view;
  $view->name = 'ganttview';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'ganttView';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'ganttView';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'ganttview';
  $handler->display->display_options['style_options']['tasktitle'] = 'title';
  $handler->display->display_options['style_options']['startdate'] = 'field_task_start_date';
  $handler->display->display_options['style_options']['enddate'] = 'field_task_end_date';
  $handler->display->display_options['style_options']['parentid'] = 'nid_1';
  $handler->display->display_options['style_options']['parenttitle'] = 'title_2';
  $handler->display->display_options['style_options']['parentend'] = 'field_project_end_date';
  $handler->display->display_options['style_options']['parentstart'] = 'field_project_start_date';
  $handler->display->display_options['style_options']['parenttype'] = 'field_project_end_date';
  $handler->display->display_options['style_options']['tasktype'] = 'type';
  /* Relationship: Content: Project (field_task_project) */
  $handler->display->display_options['relationships']['field_task_project_nid']['id'] = 'field_task_project_nid';
  $handler->display->display_options['relationships']['field_task_project_nid']['table'] = 'field_data_field_task_project';
  $handler->display->display_options['relationships']['field_task_project_nid']['field'] = 'field_task_project_nid';
  $handler->display->display_options['relationships']['field_task_project_nid']['required'] = 0;
  $handler->display->display_options['relationships']['field_task_project_nid']['delta'] = '-1';
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['external'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['nid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nid']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['nid']['link_to_node'] = 0;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 0;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 0;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  $handler->display->display_options['fields']['type']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['type']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['type']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['type']['alter']['external'] = 0;
  $handler->display->display_options['fields']['type']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['type']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['type']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['type']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['type']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['type']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['type']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['type']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['type']['alter']['html'] = 0;
  $handler->display->display_options['fields']['type']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['type']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['type']['hide_empty'] = 0;
  $handler->display->display_options['fields']['type']['empty_zero'] = 0;
  $handler->display->display_options['fields']['type']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['type']['link_to_node'] = 0;
  $handler->display->display_options['fields']['type']['machine_name'] = 0;
  /* Field: Content: Start Date */
  $handler->display->display_options['fields']['field_task_start_date']['id'] = 'field_task_start_date';
  $handler->display->display_options['fields']['field_task_start_date']['table'] = 'field_data_field_task_start_date';
  $handler->display->display_options['fields']['field_task_start_date']['field'] = 'field_task_start_date';
  $handler->display->display_options['fields']['field_task_start_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_task_start_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_task_start_date']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_task_start_date']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_task_start_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_task_start_date']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['field_task_start_date']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  $handler->display->display_options['fields']['field_task_start_date']['field_api_classes'] = 0;
  /* Field: Content: End Date */
  $handler->display->display_options['fields']['field_task_end_date']['id'] = 'field_task_end_date';
  $handler->display->display_options['fields']['field_task_end_date']['table'] = 'field_data_field_task_end_date';
  $handler->display->display_options['fields']['field_task_end_date']['field'] = 'field_task_end_date';
  $handler->display->display_options['fields']['field_task_end_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_task_end_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_task_end_date']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_task_end_date']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_task_end_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_task_end_date']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['field_task_end_date']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  $handler->display->display_options['fields']['field_task_end_date']['field_api_classes'] = 0;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['fields']['nid_1']['table'] = 'node';
  $handler->display->display_options['fields']['nid_1']['field'] = 'nid';
  $handler->display->display_options['fields']['nid_1']['relationship'] = 'field_task_project_nid';
  $handler->display->display_options['fields']['nid_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['nid_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['nid_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['nid_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['nid_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['nid_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['nid_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['nid_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nid_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nid_1']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['nid_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nid_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nid_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nid_1']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['nid_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['nid_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nid_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nid_1']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['nid_1']['link_to_node'] = 0;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_2']['id'] = 'title_2';
  $handler->display->display_options['fields']['title_2']['table'] = 'node';
  $handler->display->display_options['fields']['title_2']['field'] = 'title';
  $handler->display->display_options['fields']['title_2']['relationship'] = 'field_task_project_nid';
  $handler->display->display_options['fields']['title_2']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title_2']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title_2']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['title_2']['alter']['external'] = 0;
  $handler->display->display_options['fields']['title_2']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['title_2']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['title_2']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['title_2']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title_2']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title_2']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['title_2']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title_2']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title_2']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title_2']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['title_2']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['title_2']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title_2']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title_2']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['title_2']['link_to_node'] = 1;
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type_1']['id'] = 'type_1';
  $handler->display->display_options['fields']['type_1']['table'] = 'node';
  $handler->display->display_options['fields']['type_1']['field'] = 'type';
  $handler->display->display_options['fields']['type_1']['relationship'] = 'field_task_project_nid';
  $handler->display->display_options['fields']['type_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['type_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['type_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['type_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['type_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['type_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['type_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['type_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['type_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['type_1']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['type_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['type_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['type_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['type_1']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['type_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['type_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['type_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['type_1']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['type_1']['link_to_node'] = 0;
  $handler->display->display_options['fields']['type_1']['machine_name'] = 0;
  /* Field: Content: Start Date */
  $handler->display->display_options['fields']['field_project_start_date']['id'] = 'field_project_start_date';
  $handler->display->display_options['fields']['field_project_start_date']['table'] = 'field_data_field_project_start_date';
  $handler->display->display_options['fields']['field_project_start_date']['field'] = 'field_project_start_date';
  $handler->display->display_options['fields']['field_project_start_date']['relationship'] = 'field_task_project_nid';
  $handler->display->display_options['fields']['field_project_start_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_project_start_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_project_start_date']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_project_start_date']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_project_start_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_project_start_date']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['field_project_start_date']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  $handler->display->display_options['fields']['field_project_start_date']['field_api_classes'] = 0;
  /* Field: Content: End Date */
  $handler->display->display_options['fields']['field_project_end_date']['id'] = 'field_project_end_date';
  $handler->display->display_options['fields']['field_project_end_date']['table'] = 'field_data_field_project_end_date';
  $handler->display->display_options['fields']['field_project_end_date']['field'] = 'field_project_end_date';
  $handler->display->display_options['fields']['field_project_end_date']['relationship'] = 'field_task_project_nid';
  $handler->display->display_options['fields']['field_project_end_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_project_end_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_project_end_date']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_project_end_date']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_project_end_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_project_end_date']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['field_project_end_date']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  $handler->display->display_options['fields']['field_project_end_date']['field_api_classes'] = 0;
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'task' => 'task',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'ganttview';
  $translatables['ganttview'] = array(
    t('Master'),
    t('ganttView'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('field_task_project'),
    t('Nid'),
    t('Type'),
    t('Start Date'),
    t('End Date'),
    t('Title'),
    t('Page'),
  );
  $export['ganttview'] = $view;

  return $export;
}
